<div class="auto-assignment">
  <app-content-banner [isDashboard]="false" pageName="Auto Assignment"></app-content-banner>
  <mat-card class="auto-assignment-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <div fxLayout="column" flex class="auto-assignment-banner">
        <div fxLayout="row" class="banner-row">
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" class="banner-row">
            <span fxLayout="row">
              <span><b>Total Un-Assigned</b>&nbsp;(200)</span>
              <span><b>New Cases</b>&nbsp;(150)</span>
              <span><b>Resubmission Cases</b>&nbsp;(50)</span>
              <span><b>Total Un-Assigned</b>&nbsp;(200)</span>
              <span><b>New Cases</b>&nbsp;(150)</span>
              <span><b>Resubmission Cases</b>&nbsp;(50)</span>
              <span><b>Total Un-Assigned</b>&nbsp;(200)</span>
              <span><b>New Cases</b>&nbsp;(150)</span>
              <span><b>Resubmission Cases</b>&nbsp;(50)</span>
            </span>
          </div>
        </div>
      </div>
    </mat-card-header>
    <mat-card-content>

      <mat-card class="mat-elevation-z0">
        <div class="auto-assignment-small-box mat-elevation-z4" fxLayout="column">
          <div class="auto-assignment-container mat-elevation-z4">
            <form class="section">

              <span fxLayout="row" fxLayoutGap="50px" style="margin-top : 20px;">
                <span><b>Bulk Assign ReSubs&nbsp; </b> <span>
                  </span></span>
                <span><b>
                    <mat-icon style="width:0; font-size: 20px; align-self: left;"
                      matTooltip="Count of cases includes only the Resubmission cases those have Original Reviewers Active in the team."
                      matTooltipPosition="above">
                      info
                    </mat-icon> &nbsp;
                  </b> <span></span></span>
                <span><b>ReSubs waiting for Bulk assignment: (35) &nbsp; </b> <span></span></span>
                <span>
                  <button type="button" mat-raised-button color="primary" (click)="bulkReassignCases()"
                    matTooltipClass="pact-tooltip">Bulk Auto Assign Resub</button>
                  <span>
                  </span></span>
              </span>
              <br />
              <br />
              <mat-card *ngIf="!isResub" class="consent-main-card mat-elevation-z0">
                <div fxLayout="column" fxLayoutGap="0px" class="div-border">
                  <div>
                    <div fxFlex>
                      <h3>Distribution Method</h3>
                    </div>
                  </div>

                  <div style="margin-left: 20px;" class="content-sub">
                    <span fxLayout="row" fxLayoutGap="50px" style="margin-top : 20px;">
                      <span>
                        <mat-radio-group aria-label="Select an option">
                          <mat-radio-button (change)="onChange($event)" value="1"><b>Auto</b></mat-radio-button>
                          &nbsp;&nbsp;
                          <mat-radio-button (change)="onChange($event)" value="2"><b>Manual</b></mat-radio-button>
                          &nbsp;&nbsp;
                        </mat-radio-group>
                        <span></span>
                      </span>
                      <span *ngIf="isAuto">
                        <mat-lable style="width: 250px;">Planned Resubmissions</mat-lable>
                        <input type="number" style="width: 30px;margin-left: 30px;" size="10px">
                        <mat-lable style="width: 250px;padding-left: 25px;">Resubmissions Max cut-off</mat-lable>
                        <input type="number" style="width: 30px;margin-left: 30px;" size="10px">
                        <br />
                        <br />
                        <mat-lable style="width: 250px;">Planned New Cases</mat-lable>
                        <input type="number" style="width: 30px;margin-left: 54px;" size="10px">
                        <mat-lable style="width: 250px;padding-left: 25px;">New Cases Max cut-off</mat-lable>
                        <input type="number" style="width: 30px;margin-left: 53px;" size="10px">

                        <span></span>
                      </span>
                    </span>
                    <br />
                    <br />
                    <br />

                  </div>
                </div>
              </mat-card>
            </form>

            <div style="margin-left: 20px;">
              <h3>Reviewer Case Load&nbsp; </h3>
            </div>
            <div class="divTable consent-main-card mat-elevation-z0"
              style="width: 98%;margin-left: 15px; border: .1px solid #000;">
              <div class="divTableBody">
                <div class="divTableRow">
                  <div class="divTableCell reviewer" style="background-color: #e6fffe;">Reviewer Name&nbsp;</div>
                  <div class="divTableCell cases">Resubmission Cases&nbsp;</div>
                  <div class="divTableCell cases">New Cases&nbsp;</div>
                  <div class="divTableCell cases">Cases Older than 3 days&nbsp;</div>
                  <div class="divTableCell cases">Total Case Load&nbsp;</div>
                  <div class="divTableCell edit">Planned Resubs&nbsp;</div>
                  <div class="divTableCell edit" *ngIf="!isResub">Planned New cases&nbsp;</div>
                  <div class="divTableCell edit">Total planned Assignments&nbsp;</div>
                </div>
                <div class="divTableRow">
                  <div class="divTableCell reviewer">&nbsp;
                    <mat-checkbox class="chk"> Reviewer 1</mat-checkbox>&nbsp;
                  </div>
                  <div class="divTableCell cases">&nbsp;1</div>
                  <div class="divTableCell cases">&nbsp;2</div>
                  <div class="divTableCell cases">&nbsp;3</div>
                  <div class="divTableCell cases">&nbsp;4</div>
                  <div class="divTableCell edit">&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="number" style="width: 30px;">&nbsp;
                  </div>
                  <div class="divTableCell edit" *ngIf="!isResub">&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="number" style="width: 30px;">&nbsp;</div>
                  <div class="divTableCell edit">&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="number" style="width: 30px;" disabled>&nbsp;</div>
                </div>

                <div class="divTableRow">
                  <div class="divTableCell reviewer">&nbsp;
                    <mat-checkbox class="chk"> Reviewer 2</mat-checkbox>&nbsp;
                  </div>
                  <div class="divTableCell cases">&nbsp;1</div>
                  <div class="divTableCell cases">&nbsp;2</div>
                  <div class="divTableCell cases">&nbsp;3</div>
                  <div class="divTableCell cases">&nbsp;4</div>
                  <div class="divTableCell edit">&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="number" style="width: 30px;">&nbsp;
                  </div>
                  <div class="divTableCell edit" *ngIf="!isResub">&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="number" style="width: 30px;">&nbsp;</div>
                  <div class="divTableCell edit">&nbsp;&nbsp;&nbsp;&nbsp;<input type="number" style="width: 30px;"
                      disabled>&nbsp;</div>
                </div>

                <div class="divTableRow">
                  <div class="divTableCell reviewer">&nbsp;<mat-checkbox class="chk"> Reviewer 3</mat-checkbox>&nbsp;
                  </div>
                  <div class="divTableCell cases">&nbsp;1</div>
                  <div class="divTableCell cases">&nbsp;2</div>
                  <div class="divTableCell cases">&nbsp;3</div>
                  <div class="divTableCell cases">&nbsp;4</div>
                  <div class="divTableCell edit">&nbsp;&nbsp;&nbsp;&nbsp;<input type="number"
                      style="width: 30px;">&nbsp;
                  </div>
                  <div class="divTableCell edit" *ngIf="!isResub">&nbsp;&nbsp;&nbsp;&nbsp;<input type="number"
                      style="width: 30px;">&nbsp;</div>
                  <div class="divTableCell edit">&nbsp;&nbsp;&nbsp;&nbsp;<input type="number" style="width: 30px;"
                      disabled>&nbsp;</div>
                </div>
              </div>
            </div>
            <br />
            <br />
            <br />
          </div>
        </div>
      </mat-card>
    </mat-card-content>
    <div fxLayout="row" fxLayout.lt-md="column" style="justify-content: center">
      <div class="align-center">
        <button type="button" mat-raised-button color="primary" (click)="assignCases()" matTooltip="Assign"
          matTooltipClass="pact-tooltip">Assign</button>
        &nbsp;&nbsp;
        <button type="button" mat-raised-button color="primary" (click)="clear()" matTooltip="Clear"
          matTooltipClass="pact-tooltip">Clear</button>
      </div>
    </div>
  </mat-card>
</div>